KURLRequesterDlg Class Reference

`#include <kurlrequesterdlg.h>`

Inherits KDialogBase.

## Public Member Functions

| KURLRequesterDlg (const QString &url, QWidget *parent, const char *name, bool modal=true)
| KURLRequesterDlg (const QString &url, const QString &text, QWidget *parent, const char *name, bool modal=true)
| ~KURLRequesterDlg ()
KURL | selectedURL () const
KFileDialog * | fileDialog ()
KURLRequester * | urlRequester ()

## Static Public Member Functions

static KURL | getURL (const QString &url=QString::null, QWidget *parent=0, const QString &caption=QString::null)

## Detailed Description

Dialog in which a user can enter a filename or url.

It is a dialog encapsulating KURLRequester. The API is derived from KFileDialog.

Simple dialog to enter a filename/url.

Author
  Wilco Greven greve.nosp@m.n@kd.nosp@m.e.org

Definition at line 38 of file kurlrequesterdlg.h.

## Constructor & Destructor Documentation

KURLRequesterDlg::KURLRequesterDlg | ( | const QString & | url,
|  | QWidget * | parent,
|  | const char * | name,
|  | bool | modal = `true`
| ) |  |

Constructs a KURLRequesterDlg.

Parameters

  url | The url of the directory to start in. Use QString::null to start in the current working directory, or the last directory where a file has been selected.
  parent | The parent object of this widget.
  name | The name of this widget.
  modal | Specifies whether the dialog should be opened as modal or not.

Definition at line 42 of file kurlrequesterdlg.cpp.

KURLRequesterDlg::KURLRequesterDlg | ( | const QString & | url,
|  | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name,
|  | bool | modal = `true`
| ) |  |

Constructs a KURLRequesterDlg.

Parameters

  url | The url of the directory to start in. Use QString::null to start in the current working directory, or the last directory where a file has been selected.
  text | Text of the label
  parent | The parent object of this widget.
  name | The name of this widget.
  modal | Specifies whether the dialog should be opened as modal or not.

Definition at line 50 of file kurlrequesterdlg.cpp.

KURLRequesterDlg::~KURLRequesterDlg | ( |  | ) |

Destructs the dialog.

Definition at line 57 of file kurlrequesterdlg.cpp.

## Member Function Documentation

KFileDialog * KURLRequesterDlg::fileDialog | ( |  | ) |

Returns a pointer to the file dialog used by the KURLRequester.

Definition at line 123 of file kurlrequesterdlg.cpp.

KURL KURLRequesterDlg::getURL | ( | const QString & | url = `QString::null`,
|  | QWidget * | parent = `0`,
|  | const QString & | caption = `QString::null`
| ) |  |

static

Creates a modal dialog, executes it and returns the selected URL.

Parameters

  url | This specifies the initial path of the input line.
  parent | The widget the dialog will be centered on initially.
  caption | The caption to use for the dialog.

Definition at line 107 of file kurlrequesterdlg.cpp.

KURL KURLRequesterDlg::selectedURL | ( |  | ) | const

Returns the fully qualified filename.

Definition at line 98 of file kurlrequesterdlg.cpp.

KURLRequester * KURLRequesterDlg::urlRequester | ( |  | ) |

Returns a pointer to the KURLRequester.

Definition at line 128 of file kurlrequesterdlg.cpp.

The documentation for this class was generated from the following files:

- kurlrequesterdlg.h
- kurlrequesterdlg.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys